SimpleFragListBuilder (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.vectorhighlight.SimpleFragListBuilder class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.vectorhighlight
Class SimpleFragListBuilder

    java.lang.Object
      org.apache.lucene.search.vectorhighlight.SimpleFragListBuilder

All Implemented Interfaces:
  FragListBuilder

    public class SimpleFragListBuilder

extends Object
implements FragListBuilder

A simple implementation of `FragListBuilder`.

Field Summary
`static int` | `MARGIN_DEFAULT`
`static int` | `MIN_FRAG_CHAR_SIZE_FACTOR`

Constructor Summary
`SimpleFragListBuilder()`
`SimpleFragListBuilder(int margin)`

Method Summary
`FieldFragList` | `createFieldFragList(FieldPhraseList fieldPhraseList, int fragCharSize)` create a FieldFragList.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MARGIN_DEFAULT

    public static final int MARGIN_DEFAULT

See Also:
  Constant Field Values

### MIN_FRAG_CHAR_SIZE_FACTOR

    public static final int MIN_FRAG_CHAR_SIZE_FACTOR

See Also:
  Constant Field Values

Constructor Detail

### SimpleFragListBuilder

    public SimpleFragListBuilder(int margin)

### SimpleFragListBuilder

    public SimpleFragListBuilder()

Method Detail

### createFieldFragList

    public FieldFragList createFieldFragList(FieldPhraseList fieldPhraseList,
                                             int fragCharSize)

  Description copied from interface: `FragListBuilder`
  create a FieldFragList.

  Specified by:
    `createFieldFragList` in interface `FragListBuilder`
  Parameters:
    `fieldPhraseList` - FieldPhraseList object
    `fragCharSize` - the length (number of chars) of a fragment
  Returns:
    the created FieldFragList object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD